l10n.gentext.use.xref.language
Prev | Localization | Next

## Name

l10n.gentext.use.xref.language — Use the language of target when generating cross-reference text?

## Synopsis

    <xsl:param name="l10n.gentext.use.xref.language" select="0"></xsl:param>

## Description

If non-zero, the language of the target will be used when generating cross reference text. Usually, the “current” language is used when generating text (that is, the language of the element that contains the cross-reference element). But setting this parameter allows the language of the element pointed to to control the generated text.

Consider the following example:

    <para lang="en">See also <xref linkend="chap3"/>.</para>

Suppose that Chapter 3 happens to be written in German. If `l10n.gentext.use.xref.language` is non-zero, the resulting text will be something like this:

> See also Kapital 3.

Where the more traditional rendering would be:

> See also Chapter 3.

Prev | Up | Next
l10n.gentext.default.language | Home | EBNF